Bug 117226 - (e100?) Kernel hang while running Cyclone with moderate load
(e100?) Kernel hang while running Cyclone with moderate load
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-01 15:16 EST by Jussi Silvennoinen
Modified: 2013-07-02 22:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-03 07:47:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Console output (1.28 KB, text/plain)
2004-03-01 15:19 EST, Jussi Silvennoinen
no flags Details
Syslog messages while running 2.6.3-2.1.213smp (3.06 KB, text/plain)
2004-03-01 15:21 EST, Jussi Silvennoinen
no flags Details
Semi-working 2.6-system crashing with 2.4 (1.25 KB, text/plain)
2004-03-01 15:58 EST, Jussi Silvennoinen
no flags Details

  None (edit)
Description Jussi Silvennoinen 2004-03-01 15:16:46 EST
Description of problem:

Kernel hang while running Cyclone (http://www.highwinds-
software.com/products/product.aspx?productID=4&pageID=1)
System unresponsive. Physical reset required.

If the system is configured to handle more than a few feeds and 
network traffic goes beyond 40mbit/s the system will crash within 10 
seconds of starting Cyclone. Fiddled with multiple hardware including:

Intel STL2 mobo with dual 1ghz-p3, mobo has intel 100 ethernet
Supermicro Superserver 6013P-8 with dual 2,8 Xeon's, w/ & wo/ HT, 
mobo has dual intel copper gige
Storage as 5x IBM 36gb 10k SCSI (IC35L036UCD210-0, rev S5BS) on an 
external u160 box or in internal slots of Intel SC5000 case.
Megaraid Elite 1600 running JBOD or RAID5
Adaptec 7902 w/ & wo/ 2005S ZCR running JBOD or RAID5
Two channel Symbios 896-based u2w-card running JBOD
Intel dual port 1000MT gige PCI-X

Version-Release number of selected component (if applicable):
2.4.21-9.0.1.ELsmp

How reproducible:
Every time

Steps to Reproduce:
1. Install RHEL3 U1, update to current
2. Get Cyclone, configure more than a few feeds
3. Start Cyclone
  
Actual results:

Kernel hang

Expected results:
Cyclone keeps pumping news and the system keeps running

Additional info:

Currently running Arjan's 2.6.3-2.1.213smp on STL2 mobo with Symbios, 
disks in the external case. Connectivity with internal e100. Crashes 
every few days and spews errors continuously.
Comment 1 Jussi Silvennoinen 2004-03-01 15:19:22 EST
Created attachment 98172 [details]
Console output
Comment 2 Jussi Silvennoinen 2004-03-01 15:21:45 EST
Created attachment 98174 [details]
Syslog messages while running 2.6.3-2.1.213smp
Comment 3 Jussi Silvennoinen 2004-03-01 15:23:08 EST
Oh yes, tried ext3 with defaults and reiserfs, no difference.
Comment 4 Jussi Silvennoinen 2004-03-01 15:58:51 EST
Created attachment 98175 [details]
Semi-working 2.6-system crashing with 2.4
Comment 5 Jussi Silvennoinen 2004-03-01 16:00:47 EST
I booted the system to 2.4.21-9.0.1.ELsmp.
The hardware is now:

Intel STL2 mobo with onboard e100. OS-drives connected to the onboard 
SCSI. Symbios896 handling the news spool.

Comment 6 Jussi Silvennoinen 2004-03-01 16:07:31 EST
Well I booted to 2.4.21-9.ELsmp instead it seems. More crash output 
available if needed, can be generated at will.
Comment 7 Jussi Silvennoinen 2004-03-04 15:43:48 EST
I dont really see this is a dpt_i2o problem.
Comment 9 Jussi Silvennoinen 2004-07-01 05:49:56 EDT
I've been informed that Highwind's assistance with this is required so
I'll try pushing them to approach Redhat for certifying their stuff
with RHEL.
Comment 10 Jussi Silvennoinen 2005-06-03 07:47:37 EDT
Works fine on RHEL4.

Note You need to log in before you can comment on or make changes to this bug.